*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Xirod', sans-serif;
}
::selection{
  color: #fff;
  background:#1f6ce0;
}
body{
  background-image: url('https://img.freepik.com/free-vector/battle-screen-versus-vs-background-template-design_1017-27090.jpg?w=1060&t=st=1666099593~exp=1666100193~hmac=40589dc9284fe840d22d5b8f76a82d0507ddf2c1237a5296633a26b110495291') ;
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 100%;
  color: #fff;
}
.select-box, .play-board, .result-box{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all 0.3s ease;
}
.select-box{
  background: none;
  padding: 20px 25px 25px;
  border-radius: 5px;
  max-width: 600px;
  width: 100%;
  text-align: center;
}

.select-box header{
  font-size: 40px;
  font-weight: 600;
  padding-bottom: 30px;
}
.select-box .title{
  font-size: 20px;
  font-weight: 500;
  margin: 20px 0;
}
.select-box .options{
  display: flex;
  width: 100%;
  justify-content: center;
}

.options button{
  width: 100%;
  font-size: 20px;
  font-weight: 500;
  background: #1f6ce0;
  border-radius: 5px;
  color: #fff;
  outline: none;
  cursor: pointer;
  transition: all 0.3s ease;
}

.options button:hover, .btn button:hover{
  transform: scale(0.96);
  color: black;
}
.options button.playerX, button.playerO, button.single, button.multi{
  margin: 5px;
}

.options button.playerX{
  background: red;
}

.select-box .credit{
  text-align: center;
  margin-top: 20px;
  font-size: 18px;
  font-weight: 500;
}
.select-box .credit a{
  color: #1f6ce0;
  text-decoration: none;
}
.select-box .credit a:hover{
  text-decoration: underline;
}

.play-board{
  display: none;  
  transform: translate(-50%, -50%) scale(0.9);
}
.play-board.show{
  display: block;
  transform: translate(-50%, -50%) scale(1);
}
.play-board .details{
  padding: 7px;
  border-radius: 5px;
  background: none;
}
.play-board .players{
  width: 100%;
  display: flex;
  position: relative;
  justify-content: space-between;
}
.players span{
  position: relative;
  z-index: 2;
  color: #1f6ce0;
  font-size: 20px;
  font-weight: 500;
  padding: 10px 0;
  width: 100%;
  text-align: center;
  cursor: default;
  user-select: none;
  transition: all 0.3 ease;
}
.players.active span:first-child{
  color: #fff;
}
.players.active span:last-child{
  color: #1f6ce0;
}
.players span:first-child{
  color: #fff;
}
.players .slider{
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: #1f6ce0;
  border-radius: 5px;
  transition: all 0.3s ease;
}
.players.active .slider{
  left: 50%;
}
.players.active span:first-child{
  color: #1f6ce0;
}
.players.active span:nth-child(2){
  color: #fff;
}
.players.active .slider{
  left: 50%;
}
.play-area{
  margin-top: 20px;
}
.play-area section{
  display: flex;
  justify-content: center;
  margin-bottom: 1px;
}
.play-area section span{
  display: block;
  height: 90px;
  width: 90px;
  margin: 2px;
  color: #1f6ce0;
  font-size: 40px;
  line-height: 80px;
  text-align: center;
  border-radius: 5px;
  background: #fff;
}

.result-box{
  width: 100%;
  display: none;
  text-align: center;
  background: none;
  transform: translate(-50%, -50%) scale(0.9);
}
.result-box.show{
  display: block;
  transform: translate(-50%, -50%) scale(1);
}
.result-box .won-text{
  font-size: 30px;
  font-weight: 500;
  display: flex;
  justify-content: center;
}
.result-box .won-text p{
  font-weight: 600;
  margin: 0 5px;
}
.result-box .btn{
  width: 100%;
  margin-top: 25px;
  display: flex;
  justify-content: center;
  background: none;
  color: #fff;
}

.btn button{
  font-size: 18px;
  font-weight: 500;
  padding: 8px 20px;
  border: none;
  border-radius: 5px;
  outline: none;
  cursor: pointer;
  transition: all 0.3s ease;
  background: #1f6ce0;
  color: #fff;
}

.play-board .btn{
    margin-top: 40px;
    color: black;
    display: flex;
    justify-content: center;
}

.result-box .btn{
  width: 100%;
  margin-top: 25px;
  display: flex;
  justify-content: center;
  background: none;
  color: #fff;
}


.select-box.hide, .options .hide{
    display: none;
  }
  
  .options .chooseSingle, .chooseMulti{
    display: none;
  }

  .options .show{
    display: block;
  }
  
  .btn-flip {
    opacity: 1;
    outline: 0;
    color: #fff;
    line-height: 40px;
    position: relative;
    text-align: center;
    letter-spacing: 1px;
    display: inline-block;
    text-transform: uppercase;
  }
  .btn-flip:hover:after {
    opacity: 1;
    transform: translateY(0) rotateX(0);
  }
  .btn-flip:hover:before {
    opacity: 0;
    transform: translateY(50%) rotateX(90deg);
  }
  .btn-flip:after {
    top: 0;
    left: 0;
    opacity: 0;
    width: 100%;
    color: black;
    display: block;
    transition: 0.5s;
    position: absolute;
    background: red;
    content: attr(data-back);
    transform: translateY(-50%) rotateX(90deg);
  }
  .btn-flip:before {
    top: 0;
    left: 0;
    opacity: 1;
    color: #fff;
    display: block;
    padding: 0 30px;
    line-height: 40px;
    transition: 0.5s;
    position: relative;
    background: #1f6ce0;
    content: attr(data-front);
    transform: translateY(0) rotateX(0);
  }

  .startMulti {
    margin-top: 30px;
  }
  
  .player-type{
    position: absolute;
    bottom: 50%;
    right: 100%;
    opacity: 0;
    transition: all .4s;
    pointer-events: none;
  }

  .player-type2{
    position: absolute;
    bottom: 50%;
    left: 100%;
    opacity: 0;
    pointer-events: none;
  }

  .player1, .player2{
    display: flex;
    justify-content: space-between;
    margin: 10px 0;
  }